# Class DoubleBattleChanceBoosterModifier

#### Hierarchy (view full)

- LapsingPersistentModifier
  - DoubleBattleChanceBoosterModifier

- Defined in src/modifier/modifier.ts:315

#####
Index

### Constructors

constructor

### Properties

battlesLeft
stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getBattlesLeft
getIcon
getIconStackText
getMaxStackCount
getStackCount
incrementStack
isIconVisible
lapse
match
shouldApply

## Constructors

### constructor

- new DoubleBattleChanceBoosterModifier(type, battlesLeft, stackCount?): DoubleBattleChanceBoosterModifier

- #### Parameters

  - type: DoubleBattleChanceBoosterModifierType
  - battlesLeft: number
  - `Optional` stackCount: number

  #### Returns DoubleBattleChanceBoosterModifier

  Overrides LapsingPersistentModifier.constructor

  - Defined in src/modifier/modifier.ts:316

## Properties

### `Protected` battlesLeft

battlesLeft: number

Inherited from LapsingPersistentModifier.battlesLeft

- Defined in src/modifier/modifier.ts:282

### stackCount

stackCount: number

Inherited from LapsingPersistentModifier.stackCount

- Defined in src/modifier/modifier.ts:139

### type

type: ModifierType

Inherited from LapsingPersistentModifier.type

- Defined in src/modifier/modifier.ts:121

### virtualStackCount

virtualStackCount: number

Inherited from LapsingPersistentModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:140

## Methods

### add

- add(modifiers, virtual, scene): boolean

- #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean
  - scene: default

  #### Returns boolean

  Inherited from LapsingPersistentModifier.add

  - Defined in src/modifier/modifier.ts:148

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides LapsingPersistentModifier.apply

  - Defined in src/modifier/modifier.ts:335

### clone

- clone(): DoubleBattleChanceBoosterModifier

- #### Returns DoubleBattleChanceBoosterModifier

  Overrides LapsingPersistentModifier.clone

  - Defined in src/modifier/modifier.ts:327

### getArgs

- getArgs(): any[]

- #### Returns any[]

  Overrides LapsingPersistentModifier.getArgs

  - Defined in src/modifier/modifier.ts:331

### getBattlesLeft

- getBattlesLeft(): number

- #### Returns number

  Inherited from LapsingPersistentModifier.getBattlesLeft

  - Defined in src/modifier/modifier.ts:306

### getIcon

- getIcon(scene): Container

- #### Parameters

  - scene: default

  #### Returns Container

  Inherited from LapsingPersistentModifier.getIcon

  - Defined in src/modifier/modifier.ts:294

### getIconStackText

- getIconStackText(scene, virtual?): BitmapText

- #### Parameters

  - scene: default
  - `Optional` virtual: boolean

  #### Returns BitmapText

  Inherited from LapsingPersistentModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:213

### getMaxStackCount

- getMaxStackCount(scene, forThreshold?): number

- #### Parameters

  - scene: default
  - `Optional` forThreshold: boolean

  #### Returns number

  Inherited from LapsingPersistentModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:310

### getStackCount

- getStackCount(): number

- #### Returns number

  Inherited from LapsingPersistentModifier.getStackCount

  - Defined in src/modifier/modifier.ts:182

### incrementStack

- incrementStack(scene, amount, virtual): boolean

- #### Parameters

  - scene: default
  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from LapsingPersistentModifier.incrementStack

  - Defined in src/modifier/modifier.ts:169

### isIconVisible

- isIconVisible(scene): boolean

- #### Parameters

  - scene: default

  #### Returns boolean

  Inherited from LapsingPersistentModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:188

### lapse

- lapse(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Inherited from LapsingPersistentModifier.lapse

  - Defined in src/modifier/modifier.ts:290

### match

- match(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides LapsingPersistentModifier.match

  - Defined in src/modifier/modifier.ts:320

### shouldApply

- shouldApply(_args): boolean

- #### Parameters

  - _args: any[]

  #### Returns boolean

  Inherited from LapsingPersistentModifier.shouldApply

  - Defined in src/modifier/modifier.ts:131